/*
 * From the Bootstrap 4.0 blog example
 * See: https://getbootstrap.com/docs/4.0/examples/blog/blog.css
 */

/*
 * Globals
 */

@media (min-width: 48em) {
  html {
    font-size: 18px;
  }
}

body {
  color: #555;
}

h1,
.h1,
h2,
.h2,
h3,
.h3,
h4,
.h4,
h5,
.h5,
h6,
.h6 {
  font-weight: normal;
  color: #333;
  a,
  a:hover,
  a:focus {
    color: inherit;
    text-decoration: none;
  }
}

/*
 * Override Bootstrap's default container.
 */

.container {
  max-width: 60rem;
}

/*
 * Masthead for nav
 */

.blog-masthead {
  margin-bottom: 3rem;
  background-color: #296ca7;
  -webkit-box-shadow: inset 0 -0.1rem 0.25rem rgba(0, 0, 0, 0.1);
  box-shadow: inset 0 -0.1rem 0.25rem rgba(0, 0, 0, 0.1);
}

/* Nav links */
.nav-link {
  position: relative;
  padding: 1rem;
  font-weight: 500;
  color: white;
}
.nav-link:hover,
.nav-link:focus {
  color: white;
  background-color: transparent;
  text-decoration: underline;
}

/* Active state gets a caret at the bottom */

.nav-link.active:after {
  position: absolute;
  bottom: 0;
  left: 50%;
  width: 0;
  height: 0;
  margin-left: -0.3rem;
  vertical-align: middle;
  content: "";
  border-right: 0.3rem solid transparent;
  border-bottom: 0.3rem solid;
  border-left: 0.3rem solid transparent;
}

/*
 * Blog name and description
 */

.blog-header {
  padding-bottom: 1.25rem;
  margin-bottom: 2rem;
  border-bottom: 0.05rem solid #eee;
}
.blog-title {
  margin-bottom: 0;
  font-size: 2rem;
  font-weight: normal;
}
.blog-description {
  font-size: 1.1rem;
  color: #666;
}

@media (min-width: 40em) {
  .blog-title {
    font-size: 3.5rem;
  }
}

/*
 * Main column and sidebar layout
 */

/* Sidebar modules for boxing content */
.sidebar-module {
  padding: 1rem;
  /*margin: 0 -1rem 1rem;*/
}
.sidebar-module-inset {
  padding: 1rem;
  background-color: #f5f5f5;
  border-radius: 0.25rem;
}
.sidebar-module-inset p:last-child,
.sidebar-module-inset ul:last-child,
.sidebar-module-inset ol:last-child {
  margin-bottom: 0;
}

.sidebar-module li {
  padding-bottom: 0.5em;
}
.sidebar-module li a {
  min-height: 2em;
}

section.sidebar-module h3,
footer section h3 {
  font-size: 1.5rem;
}

/* Pagination */
.blog-pagination {
  margin-bottom: 4rem;
}

/*
 * Blog posts
 */

.blog-post {
  margin-bottom: 4rem;
}
.blog-post-title {
  margin-bottom: 0.25rem;
  font-size: 2.5rem;
}
.blog-post-meta {
  margin-bottom: 1.25rem;
  color: #666;
}
article img {
  max-width: 100%;
  height: auto;
  margin: 13px auto;
}
// add margin to sharing icons (except the first one)
.sharing-icons .nav-item + .nav-item {
  margin-left: 1rem;
}
/* add a margin above the disqus comments only if the preceeding sharing section
is present (because sharing can be hidden, and the margin isn't always needed */
section + #disqus_thread {
  margin-top: 1rem;
}

// style all blockquotes, not just Bootstrap's default of class="blockquote"
// see: node_modules/bootstrap/scss/_type.scss
article blockquote {
  margin: 0 0 1rem;
  font-size: $blockquote-font-size;
}

blockquote {
  background: #f9f9f9;
  border-left: 0.5rem solid #ccc;
  margin: 1rem 0.5rem;
  padding: 0.5rem 1rem;
  quotes: "\201C""\201D""\2018""\2019";
}

blockquote:before {
  color: #ccc;
  content: open-quote;
  font-size: 4em;
  line-height: 0.1em;
  margin-right: 0.25em;
  vertical-align: -0.4em;
}
blockquote p {
/*  display: inline; */
}

// ensure that code text doesn't butt up against the background change
article div.highlight {
  padding: 5px 5px 0px 5px;
}

/*
 * Footer
 */

.blog-footer {
  padding: 2.5rem 0;
  color: #333;
  text-align: center;
  background-color: #f9f9f9;
  border-top: 0.05rem solid #e5e5e5;
}
.blog-footer p:last-child {
  margin-bottom: 0;
}

/* Code Formatting */

code {
  color : lightgreen !important;
  background-color: #002b36;
  padding: 0.2em;
}

pre {
  padding: 1em;
}

/* tags */

a.tag:before {
  content: "#";
}
